import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {    
  public static int totalValues(List<Integer> values) {
    int total = 0;
    for(int value : values)
      total += value;
    return total;
  }

  public static int totalEvenValues(List<Integer> values) {
    int total = 0;
    for(int value : values)
      if(value % 2 == 0) total += value;
    return total;
  }

  public static int totalOddValues(List<Integer> values) {
    int total = 0;
    for(int value : values)
      if(value % 2 != 0) total += value;
    return total;
  }
  
  public static void main(String[] args) {
    List<Integer> values = Arrays.asList(1, 2, 3, 4, 5, 6);
    
    System.out.println(totalValues(values));
    System.out.println(totalEvenValues(values));
    System.out.println(totalOddValues(values));
  }
}