import java.util.*;

public class Sample {    
  public static void main(String[] args) {
    Map<Character, Integer> assets = Asset.getAssets();
    
    Timeit.code(() -> {
      System.out.println("Total value: " + 
        assets.keySet()
              .parallelStream()
              .mapToInt(asset -> Asset.getValue(asset) * assets.get(asset))
              .sum());
    });
  }
}